Subject: Re: bug#79131: 31.0.50; igc: nested signal, SIGSEGV

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Aug 2025 22:00:56 +0300

> From: Gerd Möllmann <[email-masked]>
> Cc: Pip Cet <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked]
> Date: Sun, 03 Aug 2025 18:17:17 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Date: Sun, 03 Aug 2025 15:47:43 +0000
> >> From: Pip Cet <[email-masked]>
> >> Cc: Óscar Fuentes <[email-masked]>, Eli Zaretskii <[email-masked]>, Yuan Fu <[email-masked]>, [email-masked]
> >> 
> >> Gerd Möllmann <[email-masked]> writes:
> >> 
> >> > Pip Cet <[email-masked]> writes:
> >> >
> >> >> But I'll wait for others to weigh in; maybe my theory is obviously
> >> >> incorrect.
> >> >
> >> > I think the memq thing is definitely a bug.
> >> 
> >> Unfortunately, while Fmemq and Fassq are easy to fix, Fget can also quit
> >> (if overriding-plist-environment is in use), and that's used in a few
> >> places here.  Do we need get_no_quit?
> >
> > Maybe we should inhibit_igc instead (if we don't already)?  Otherwise,
> 
> You mean inhibit-quit?

No, I mean prevent MPS from interrupting a given short sequence of
code with GC.